public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Nikola Pajkovsky <npajkovs@fedoraproject.org>
To: git-commits@fedoraproject.org
Subject: [rpms/inn] epel10.3: Resolves: #597799 #596580 #604473
Date: Wed, 26 Aug 2026 08:54:05 GMT	[thread overview]
Message-ID: <178773444574.1.13527522232086058743.rpms-inn-43280eb9d919@fedoraproject.org> (raw)

A new commit has been pushed.

Repo   : rpms/inn
Branch : epel10.3
Commit : 43280eb9d919e439598dfdce34896503dde21d77
Author : Nikola Pajkovsky <npajkovs@fedoraproject.org>
Date   : 2010-07-02T13:28:00+00:00
Stats  : +27/-8 in 6 file(s)
URL    : https://src.fedoraproject.org/rpms/inn/c/43280eb9d919e439598dfdce34896503dde21d77?branch=epel10.3

Log:
Resolves: #597799 #596580 #604473

---
diff --git a/inn-2.5.1-config-path.patch b/inn-2.5.1-config-path.patch
new file mode 100644
index 0000000..8f5bb98
--- /dev/null
+++ b/inn-2.5.1-config-path.patch
@@ -0,0 +1,12 @@
+diff -up inn-2.5.1/perl/INN/Config.pm.in.config-path inn-2.5.1/perl/INN/Config.pm.in
+--- inn-2.5.1/perl/INN/Config.pm.in.config-path	2010-06-02 13:58:05.985806773 +0200
++++ inn-2.5.1/perl/INN/Config.pm.in	2010-06-02 13:58:19.616811684 +0200
+@@ -20,7 +20,7 @@ our $exec_prefix = "@exec_prefix@";
+ 
+ ##  Then, process the variables provided by innconfval.
+ my @INNCONFVAR = ();
+-my @values = `${exec_prefix}/bin/innconfval -p`;
++my @values = `${exec_prefix}/innconfval -p`;
+ foreach $line (@values) {
+   eval 'our '.$line;
+   if ($line =~ /^(.*?) = /m) {

diff --git a/inn-cron-expire b/inn-cron-expire
index cede53c..0e27bed 100644
--- a/inn-cron-expire
+++ b/inn-cron-expire
@@ -1,3 +1,3 @@
 #!/bin/sh
 /sbin/chkconfig innd || exit 0
-runuser -m news -c "unset LANG; unset LC_COLLATE; /usr/lib/news/bin/news.daily delayrm"
+runuser -m news -c "unset LANG; unset LC_COLLATE; /usr/libexec/news/news.daily delayrm"

diff --git a/inn-cron-nntpsend b/inn-cron-nntpsend
index c86f8fa..13bfd7f 100755
--- a/inn-cron-nntpsend
+++ b/inn-cron-nntpsend
@@ -1,3 +1,3 @@
 #!/bin/sh
 /sbin/chkconfig innd || exit 0
-runuser -m news -c "unset LANG; unset LC_COLLATE; /usr/lib/news/bin/nntpsend"
+runuser -m news -c "unset LANG; unset LC_COLLATE; /usr/libexec/news/nntpsend"

diff --git a/inn-cron-rnews b/inn-cron-rnews
index 96c0eea..c7605e3 100644
--- a/inn-cron-rnews
+++ b/inn-cron-rnews
@@ -1,3 +1,3 @@
 #!/bin/sh
 /sbin/chkconfig innd || exit 0
-runuser -m news -c 'unset LANG; unset LC_COLLATE; /usr/lib/news/bin/rnews -U'
+runuser -m news -c 'unset LANG; unset LC_COLLATE; /usr/libexec/news/rnews -U'

diff --git a/inn.spec b/inn.spec
index 55643cc..f452210 100644
--- a/inn.spec
+++ b/inn.spec
@@ -1,7 +1,7 @@
 Summary: The InterNetNews system, an Usenet news server
 Name: inn
 Version: 2.5.1
-Release: 4%{?dist}
+Release: 5%{?dist}
 #see LICENSE file for details
 License: GPLv2+ and BSD and MIT and Public Domain
 Group: System Environment/Daemons
@@ -23,7 +23,7 @@ Patch13: inn-2.5.0-chown.patch
 Patch14: inn-redhat_build.patch
 Patch15: inn-shared.patch
 BuildRequires: python db4-devel byacc krb5-devel pam-devel e2fsprogs-devel perl
-BuildRequires: perl(ExtUtils::Embed)
+BuildRequires: perl(ExtUtils::Embed) flex
 Requires(pre): shadow-utils
 Requires: chkconfig, grep, coreutils, sed
 Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
@@ -471,7 +471,7 @@ fi
 %dir /var/log/news/OLD
 %dir %{_sharedstatedir}/news/tmp
 %dir /var/run/news
-%defattr(0644,root,root,-)
+%defattr(-,root,root,-)
 %{_mandir}/man1/c*.1.gz
 %{_mandir}/man1/f*.1.gz
 %{_mandir}/man1/g*.1.gz
@@ -507,6 +507,13 @@ fi
 %{_mandir}/man1/inews*
 
 %changelog
+* Wed Jun 2 2010 Nikola Pajkovsky <npajkovs@redhat.com> - 2.5.1-5
+- Resolves: #597799 - Two typos in /etc/init.d/inn, three typos in /etc/cron.*/inn* in F13
+- Resolves: #596580 - Migration from /usr/lib/news/bin to /usr/libexec/news is not complete
+- Resolves: #604473 - wrong permissions on /usr/share/doc/inn-2.5.1(Jochen@herr-schmitt.de)
+- add patch inn-2.5.1-config-path.patch
+- add BuildRequires: flex (Jochen@herr-schmitt.de)
+
 * Tue Jun 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.5.1-4
 - Mass rebuild with perl-5.12.0
 

diff --git a/innd.init b/innd.init
index 2f5a9ad..41ae26c 100644
--- a/innd.init
+++ b/innd.init
@@ -30,7 +30,7 @@ RETVAL=0
 
 [ -d /etc/news ] || exit 1
 [ -f /etc/news/inn.conf ] || exit 6
-. /usr/lib/news/lib/innshellvars || exit 1
+. /usr/libexec/news/innshellvars || exit 1
  
 start() {
   # Check that networking is up.
@@ -44,7 +44,7 @@ start() {
   # INN uses too many un-checked shell scripts
   unset LANG
   unset LC_COLLATE
-  daemon --user news /etc/rc.news
+  daemon --user news /usr/libexec/news/rc.news
   RETVAL=$?
   [ $RETVAL -eq 0 ] && touch /var/lock/subsys/innd
   echo

                 reply	other threads:[~2026-08-26  8:54 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178773444574.1.13527522232086058743.rpms-inn-43280eb9d919@fedoraproject.org \
    --to=npajkovs@fedoraproject.org \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox